const
  nin  = 'input.txt';
var
  fin, fout     : file of char;
  curv          : string[4];
  sum           : longint;
  cur           : byte;
  i             : byte;
  ch            : char;
  len           : word;
{----------------------}
Function ToDem(inp : string) : byte;
var
 ret  : byte;
 i,j  : byte;
 incs : byte;
begin
 ret:=0;
 for i := 1 to 4 do
  begin
   incs := 1;
   incs := incs shl (4-i);
   inc(ret,(ord(inp[i])-$30)*incs);
  end;
  todem := ret;
end;
{---------------------------}
begin
  Assign(fin,nin);
  Reset(fin);
  len := filesize(fin);
  for i:=1 to len mod 4 do
     begin
      Read(fin,ch);
      curv:=curv+ch;
     end;
  repeat
    while length(curv) < 4 do insert('0',curv,1);
    cur := toDem(curv);
    inc(sum,cur);
    curv := '';
    for i := 1 to 4 do if not EOF(fin) then
     begin
      Read(fin,ch);
      curv:=curv+ch;
     end;
  until EOF(fin);
  cur := toDem(curv);
  inc(sum,cur);
  close(fin);
  if sum mod 15 = 0 then WriteLn('Делится') else WriteLn('Не Делится')
end.